com.sun.javadoc

## Interface AnnotationDesc

    public interface AnnotationDesc

Represents an annotation. An annotation associates a value with each element of an annotation type.

Since:
  1.5

### Nested Class Summary

Nested Classes
`static interface` `AnnotationDesc.ElementValuePair` Represents an association between an annotation type element and one of its values.

### Method Summary

All Methods Instance Methods Abstract Methods
`AnnotationTypeDoc` `annotationType()` Returns the annotation type of this annotation.
`AnnotationDesc.ElementValuePair[]` `elementValues()` Returns this annotation's elements and their values.
`boolean` `isSynthesized()` Check for the synthesized bit on the annotation.

### Method Detail

#### annotationType

    AnnotationTypeDoc annotationType()

Returns the annotation type of this annotation.

Returns:
  the annotation type of this annotation.

#### elementValues

    AnnotationDesc.ElementValuePair[] elementValues()

Returns this annotation's elements and their values. Only those explicitly present in the annotation are included, not those assuming their default values. Returns an empty array if there are none.

Returns:
  this annotation's elements and their values.

#### isSynthesized

    boolean isSynthesized()

Check for the synthesized bit on the annotation.

Returns:
  true if the annotation is synthesized.